<script setup lang="ts">
import { usePollStore } from '~/store/poll'
import type { PollType } from '~/store/poll'

// Props
interface StudentPoll {
  data: PollType
  id: string
}

const {
  data,
  id,
} = defineProps<StudentPoll>()
const poll = usePollStore()
let ans = $ref('')

// form
const modelValue = $ref('')
const submit = () => {
  poll.votePoll(modelValue)
  ans = modelValue
}
</script>

<template>
  <div v-if="data.released && !data.stop && !ans" class="text-lg p-2 border dark:border-white">
    <h3 class="text-2xl mb-2 break-all">
      {{ data.question }}
    </h3>
    <div v-for="(v, key) in data.Answer" :key="key" class="flex items-center gap-2 mb-2">
      <input :id="v.id" v-model="modelValue" type="radio" :value="v.id" :name="id" class="margin-none">
      <label :for="v.id" class="margin-none break-all text-left font-normal">
        {{ v.answer }}
      </label>
    </div>
    <div v-if="!ans" class="flex">
      <button
        class="ml-auto px-4 py-2 rounded-lg bg-blue-500 text-white text-lg"
        :disabled="modelValue === ''"
        @click.once="submit"
      >
        送信
      </button>
    </div>
  </div>
</template>

<style scoped>
.margin-none {
  margin: 0;
}
</style>
